Subject: RE: HTML better for small PDAs

From: [email-masked]
Date: Tue, 27 Feb 2001 10:25:54 -0000

Vernon,

	I have people working for me who write I-Ds, and who HATE the ASCII
format that they are forced to use.  So much so, that they have threatened
never to write another I-D.  Do we want to deprive the IETF community of the
input of experienced technical people ( and, yes, they ARE ! ), because they
are put off by archaic document formats ?  

	So it is not just "people who neither write RFC's nor implement
protocols" who find ASCII "incomplete".  

	Perhaps we ( the IETF ) should have a library of standard,
downloadable translation / formatting tools that would help people to write
in whatever format they choose, then convert it to the required ASCII.
However, this would still not solve the problem os ASCII's poor diagram
capability.

	Graham Travers.

> -----Original Message-----
> From:	Vernon Schryver [SMTP:[email-masked]]
> Sent:	Monday, February 26, 2001 8:54 PM
> To:	[email-masked]
> Subject:	Re: HTML better for small PDAs
> 
	<snip>

> If the ASCII version of an RFC is complete, then the XML alternate is
> not needed.  If the alternate is needed even only for "illustration",
> then the ASCII version is incomplete and so wrong.  As others have
> said "incomplete" as seen by people who neither write RFC's nor
> implement protocols is completely irrelevant and inadmissible.
> 
> As someone else pointed out, the crux of this recurring thread
> is the conflict between those who care about the form of RFC's
> including whether they use "modern technology" and those who care
> about the contents and function of RFC's as definitions of protocols.
> 
	<snip>

> It seems clear that some of those who are adamant about
> replacing boring old ASCII are more readers than authors or editors.
> Worse, I suspect a few have not spent much time reading the ASCII stuff
> and would read little in any format, not matter how modern.
> 
	<snip>

> Vernon Schryver    [email-masked]

---

From: John Stracke <[email-masked]>
Date: Wed, 28 Feb 2001 12:05:40 -0500

> are put off by archaic document formats ?

Possibly, yes--because code is written in ASCII.  A case could be made that
someone who isn't comfortable with ASCII can't write code, and someone who
can't write code should not be writing standards for how other people should
write code.

I'm aware that there are holes in this argument; but I think the same can be
said of yours.  For example, we don't know who these I-D authors you refer to
are, so we don't know what I-Ds they've written, or whether their I-Ds have
been of value to the IETF community.  Unless they speak up for themselves, we
don't know what kind of problems they've had, or how valid they are.

--
/================================================================\
|John Stracke    | http://www.ecal.com |My opinions are my own.  |
|Chief Scientist |===============================================|
|eCal Corp.      |All I ask is a chance to prove that money can't|
[email-masked]|make me happy.                                 |
\================================================================/